pcl::PlanarPolygon< PointT > Class Template Reference

PlanarPolygon represents a planar (2D) polygon, potentially in a 3D space. More...

`#include <pcl/geometry/planar_polygon.h>`

Inheritance diagram for pcl::PlanarPolygon< PointT >:

## Public Types

using | Ptr = shared_ptr< PlanarPolygon< PointT > >
using | ConstPtr = shared_ptr< const PlanarPolygon< PointT > >

## Public Member Functions

| PlanarPolygon ()
| Empty constructor for PlanarPolygon. More...
| PlanarPolygon (typename pcl::PointCloud< PointT >::VectorType &contour, Eigen::Vector4f &coefficients)
| Constructor for PlanarPolygon. More...
virtual | ~PlanarPolygon ()
| Destructor. More...
void | setContour (const pcl::PointCloud< PointT > &contour)
| Set the internal contour. More...
pcl::PointCloud< PointT >::VectorType & | getContour ()
| Getter for the contour / boundary. More...
const pcl::PointCloud< PointT >::VectorType & | getContour () const
| Getter for the contour / boundary. More...
void | setCoefficients (const Eigen::Vector4f &coefficients)
| Setr the internal coefficients. More...
void | setCoefficients (const pcl::ModelCoefficients &coefficients)
| Set the internal coefficients. More...
Eigen::Vector4f & | getCoefficients ()
| Getter for the coefficients. More...
const Eigen::Vector4f & | getCoefficients () const
| Getter for the coefficients. More...

## Protected Attributes

pcl::PointCloud< PointT >::VectorType | contour_
| A list of points on the boundary/contour of the planar region. More...
Eigen::Vector4f | coefficients_
| A list of model coefficients (a,b,c,d). More...

## Detailed Description

### template<typename PointT>
class pcl::PlanarPolygon< PointT >

PlanarPolygon represents a planar (2D) polygon, potentially in a 3D space.

Author
  Alex Trevor

Definition at line 52 of file planar_polygon.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::PlanarPolygon< PointT >::ConstPtr = shared_ptr<const PlanarPolygon<PointT> >

Definition at line 55 of file planar_polygon.h.

## Ptr

template<typename PointT >

using pcl::PlanarPolygon< PointT >::Ptr = shared_ptr<PlanarPolygon<PointT> >

Definition at line 54 of file planar_polygon.h.

## Constructor & Destructor Documentation

## PlanarPolygon() [1/2]

template<typename PointT >

pcl::PlanarPolygon< PointT >::PlanarPolygon | ( |  | ) |

inline

Empty constructor for PlanarPolygon.

Definition at line 58 of file planar_polygon.h.

## PlanarPolygon() [2/2]

template<typename PointT >

pcl::PlanarPolygon< PointT >::PlanarPolygon | ( | typename pcl::PointCloud< PointT >::VectorType & | contour,
|  | Eigen::Vector4f & | coefficients
| ) |  |

inline

Constructor for PlanarPolygon.

Parameters

  [in] | contour | a vector of points bounding the polygon
  [in] | coefficients | a vector of the plane's coefficients (a,b,c,d)

Definition at line 64 of file planar_polygon.h.

## ~PlanarPolygon()

template<typename PointT >

virtual pcl::PlanarPolygon< PointT >::~PlanarPolygon | ( |  | ) |

inline virtual

Destructor.

Definition at line 70 of file planar_polygon.h.

## Member Function Documentation

## getCoefficients() [1/2]

template<typename PointT >

Eigen::Vector4f& pcl::PlanarPolygon< PointT >::getCoefficients | ( |  | ) |

inline

Getter for the coefficients.

Definition at line 116 of file planar_polygon.h.

References pcl::PlanarPolygon< PointT >::coefficients_.

Referenced by pcl::approximatePolygon().

## getCoefficients() [2/2]

template<typename PointT >

const Eigen::Vector4f& pcl::PlanarPolygon< PointT >::getCoefficients | ( |  | ) | const

inline

Getter for the coefficients.

Definition at line 123 of file planar_polygon.h.

References pcl::PlanarPolygon< PointT >::coefficients_.

## getContour() [1/2]

template<typename PointT >

pcl::PointCloud<PointT>::VectorType& pcl::PlanarPolygon< PointT >::getContour | ( |  | ) |

inline

Getter for the contour / boundary.

Definition at line 83 of file planar_polygon.h.

References pcl::PlanarPolygon< PointT >::contour_.

Referenced by pcl::visualization::ImageViewer::addPlanarPolygon(), pcl::approximatePolygon(), and pcl::visualization::createPolygon().

## getContour() [2/2]

template<typename PointT >

const pcl::PointCloud<PointT>::VectorType& pcl::PlanarPolygon< PointT >::getContour | ( |  | ) | const

inline

Getter for the contour / boundary.

Definition at line 90 of file planar_polygon.h.

References pcl::PlanarPolygon< PointT >::contour_.

## setCoefficients() [1/2]

template<typename PointT >

void pcl::PlanarPolygon< PointT >::setCoefficients | ( | const Eigen::Vector4f & | coefficients | ) |

inline

Setr the internal coefficients.

Parameters

  [in] | coefficients | the new coefficients to be set

Definition at line 99 of file planar_polygon.h.

References pcl::PlanarPolygon< PointT >::coefficients_.

## setCoefficients() [2/2]

template<typename PointT >

void pcl::PlanarPolygon< PointT >::setCoefficients | ( | const pcl::ModelCoefficients & | coefficients | ) |

inline

Set the internal coefficients.

Parameters

  [in] | coefficients | the new coefficients to be set

Definition at line 108 of file planar_polygon.h.

References pcl::PlanarPolygon< PointT >::coefficients_, and pcl::ModelCoefficients::values.

## setContour()

template<typename PointT >

void pcl::PlanarPolygon< PointT >::setContour | ( | const pcl::PointCloud< PointT > & | contour | ) |

inline

Set the internal contour.

Parameters

  [in] | contour | the new planar polygonal contour

Definition at line 76 of file planar_polygon.h.

References pcl::PlanarPolygon< PointT >::contour_, and pcl::PointCloud< PointT >::points.

## Member Data Documentation

## coefficients_

template<typename PointT >

Eigen::Vector4f pcl::PlanarPolygon< PointT >::coefficients_

protected

A list of model coefficients (a,b,c,d).

Definition at line 133 of file planar_polygon.h.

Referenced by pcl::PlanarPolygon< PointT >::getCoefficients(), pcl::PlanarRegion< PointT >::PlanarRegion(), and pcl::PlanarPolygon< PointT >::setCoefficients().

## contour_

template<typename PointT >

pcl::PointCloud<PointT>::VectorType pcl::PlanarPolygon< PointT >::contour_

protected

A list of points on the boundary/contour of the planar region.

Definition at line 130 of file planar_polygon.h.

Referenced by pcl::PlanarPolygon< PointT >::getContour(), pcl::PlanarRegion< PointT >::PlanarRegion(), and pcl::PlanarPolygon< PointT >::setContour().

The documentation for this class was generated from the following file:

- pcl/geometry/planar_polygon.h